# Makefile for Watcom C++ 10.0 for MSDOS 32-bit DOS-extended
# (needs a Watcom-like extender)

COPTS=-oneatx
#COPTS=
#COPTS=-d2
MSGDIR=..\..\msgapi
PMWLOC=..\..\pmw

.c.obj:
  wcl386 $(COPTS) -wx -c -DMSDOS -DUSE_MSGAPI -I. -I$(MSGDIR) $<

objs=areas.obj    \
     bmg.obj      \
     config.obj   \
     control.obj  \
     date.obj     \
     dialogs.obj  \
     dirute.obj   \
     dlgbox.obj   \
     dosasm.obj   \
     dosmisc.obj  \
     fido.obj     \
     getopts.obj  \
     help.obj     \
     helpcmp.obj  \
     helpinfo.obj \
     ibmscrn.obj  \
     init.obj     \
     keycode.obj  \
     list.obj     \
     maintmsg.obj \
     makemsgn.obj \
     memextra.obj \
     menu.obj     \
     misc.obj     \
     mnu.obj      \
     mouse4.obj   \
     msg.obj      \
     msged.obj    \
     mxbt.obj     \
     normalc.obj  \
     nshow.obj    \
     quick.obj    \
     quote.obj    \
     readmail.obj \
     screen.obj   \
     strextra.obj \
     system.obj   \
     template.obj \
     textfile.obj \
     userlist.obj \
     vio.obj      \
     vsev.obj     \
     vsevops.obj  \
     win.obj      \
     wrap.obj

msged32.exe: $(objs)
   wcl386 $(COPTS) -k8192 -fe=msged32.exe *.obj $(MSGDIR)\msgapiw2.lib
   $(PMWLOC)\pmwbind /r /s$(PMWLOC)\pmodew.exe msged32.exe
